Quick Start to Network Administration

Copyrights and Trademarks
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide >
Quick Start to Network Administration

Network deployment of this program requires careful planning and execution. This section gives you quick, step-by-step instructions about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should read the entire Network Administrator's Guide before you attempt to deploy and administer the program over a network.

Topics in this section

  • Copyrights and Trademarks
  • How to Use this Guide
  • How to Prepare for Deployment
  • How to Set Up a License Server
  • How to Set Up and Distribute the Program
Please send us your comment about this page


Copyrights and Trademarks

Quick Start to Network Administration
Quick Start to Network Administration
How to Use this Guide
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration >
Copyrights and Trademarks

© 2008 Autodesk, Inc. All rights reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Portions Copyright © 2005 Microsoft Corporation. All rights reserved.

Portions Copyright Max HTR created 2003-2005 by Motion Analysis.

REALVIZ Copyright © 2006 REALVIZ S.A. All rights reserved.

Portions of this software JSR-184 Exporter Copyright © 2004 Digital Element, Inc.

JPEG software is copyright © 1991-1998, Thomas G. Lane. All Rights Reserved. This software is based in part on the work of the Independent JPEG Group.

Portions Copyright © 2005 Blur Studio, Inc.

Portions Copyright © 1999-2005 Joseph Alter, Inc. Credit to Joe Alter, Gonzalo Rueda, and Dean Edmonds.

Certain patents licensed from Viewpoint Corporation.

This product includes Radiance software (http://radsite.lbl.gov/radiance) developed by the Lawrence Berkeley National Laboratory (http://www.lbl.gov). Copyright © 1990-2005. The Regents of the University of California through Lawrence Berkeley National Laboratory. All rights reserved.

Portions Copyright © 1990-2007 Info-ZIP. All rights reserved.

For the purposes of this copyright and license, "Info-ZIP" is defined as the following set of individuals: Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike White. This software is provided "as is," without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software. Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the above disclaimer and the following restrictions: 1) Redistributions of source code (in whole or in part) must retain the above copyright notice, definition, disclaimer, and this list of conditions. 2) Redistributions in binary form (compiled executables and libraries) must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution. The sole exception to this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part of a self-extracting archive; that is permitted without inclusion of this license, as long as the normal SFX banner has not been removed from the binary or disabled. 3) Altered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, versions with modified or added functionality, and dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as such and must not be misrepresented as being the original source or, if binaries, compiled from the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the altered versions with the names "Info-ZIP" (or any variation thereof, including, but not limited to, different capitalizations), "Pocket UnZip," "WiZ" or "MacZip" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered versions. 4) Info-ZIP retains the right to use the names "Info-ZIP," "Zip," "UnZip," "UnZipSFX," "WiZ," "Pocket UnZip," "Pocket Zip," and "MacZip" for its own source and binary releases.

Portions relating toOpenEXR Bitmap I/O Plugin © 2003-2005 SplutterFish, LLC.

Portions relating to OpenEXR © 2003 Industrial Light and Magic a division of Lucas Digital Ltd. LLC.

Portions relating to Zlib © 1995-2004 Jean-loup Gaily and Mark Alder

Portions Copyright © 2000-2005 Size8 Software, Inc.

Portions Copyright © 1988-1997 Sam Leffler.

Portions Copyright © 1991-1997 Silicon Graphics, Inc. Permissions to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.

Portions Copyright © 2006 IntegrityWare, Inc.

Portions © Copyright 1999-2005 Havok.com Inc. (or its licensors). All Rights Reserved. See http://www.havok.com for details.

Portions Copyright © MAX2Obj and Obj2Max created 1996-2001 by Harald A. Blab.

Portions developed by Digimation, Inc. for the exclusive use of Autodesk, Inc.

Portions Copyright 1998-2003 by Neil Hodgson. All Rights Reserved. Permission to use, copy, modify, and distribute this software and it documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

Portions of this software, Point Cache 2 are copyright © 2005-2006 Blizzard Entertainment, Inc.

Portions Copyright © 2003 ATI Technologies, Inc. All Rights Reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and derivative works and that both the copyright notice and this permission notice appear in support documentation, and that the name of ATI Technologies, Inc. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.

Portions Copyright © 1994 F. Kenton Musgrave.

Portions of this software are Copyright © 1991-1994 by Arthur D. Applegate. All Rights Reserved. No part of this source code may be copied, modified or reproduced in any form without retaining the above copyright notice. This source code, or source code derived from it, may not be redistributed without express written permission of the author.

Portions Copyright ©1995, 1996 Guy Eric Schalnat, Group 42, Inc.

Portions Copyright ©1996, 1997 Andreas Dilger.

Portions Copyright © 1989, 1991, 1993 Aladdin Enterprises. All rights reserved.

Portions Copyright © 1999, 2000 NVIDIA Corporation. This file is provided without support, instructions or implied warranty of any kind. NVIDIA makes no guarantee of its fitness for a particular purpose and is not liable under any circumstances for any damages or loss whatsoever arising from the use or inability to use this file or items derived from it.

Portions Copyright © 2006 NVIDIA Corporation.

Portions Copyright 1990-1991 by Thomas Knoll. Copyright 1992-1995 by Adobe Systems, Inc.

Portions Copyright 1993-1996, Adobe Systems, Incorporated. All rights reserved worldwide.

This software contains source code provided by mental images GmbH.

Portions Copyright Guruware OBJio © 2007 http://www.guruware.at

Portions Copyright Orbaz Technologies © 2007

Portions Copyright Mathew Kaustinen © 2007

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. "AS IS." AUTODESK, INC. DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.


How to Use this Guide

Copyrights and Trademarks
Quick Start to Network Administration
Differences Between 3ds Max and 3ds Max Design
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Use this Guide

If you are comfortable with network deployments you can simply read this first chapter “Quick Start to Network Administration.” If you require more details about creating and modifying deployments see Details on Deploying the Program. In either case you can refer to System Requirements for the system requirements pertaining to the administrative image and the network license server. Refer to your product Installation Guide for client station system requirements.

Topics in this section

  • Differences Between 3ds Max and 3ds Max Design


Differences Between 3ds Max and 3ds Max Design

How to Use this Guide
How to Use this Guide
How to Prepare for Deployment
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Use this Guide >
Differences Between 3ds Max and 3ds Max Design

Though this guide is shared between 3ds Max and 3ds Max Design there are a some key differences between these two products: As 3ds Max Design is intended for architecture and visualization customers, the tutorials and movies that are included show typical applications and scenarios for these customers. In addition, 3ds Max Design contains Exposure™ lighting analysis technology, which is designed specifically for architecture and visualization work flows. To learn more about Exposure lighting analysis, refer to the 3ds Max Design Help.

The tutorials and movies included with 3ds Max demonstrate 3D pipelines typically employed by artists and animators in entertainment, gaming and related fields. In addition, 3ds Max ships with the SDK which can be used to add your own plug-ins to your 3ds Max pipeline. The only difference that you will notice during the install procedure is that you cannot install the SDK with 3ds Max Design.


How to Prepare for Deployment

Differences Between 3ds Max and 3ds Max Design
Quick Start to Network Administration
How to Choose a License
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Prepare for Deployment

To prepare for a deployment, you need to choose an installation type and a license server model.

Topics in this section

  • How to Choose a License
  • How to Choose a License Server Model


How to Choose a License

How to Prepare for Deployment
How to Prepare for Deployment
How to Choose a License Server Model
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose a License

When you set up your deployment, you need to choose the type of installation to deploy. In your product Installation wizard, you specify one of the following installation types:

Network License installation

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

The main advantage is that you can install 3ds Max or 3ds Max Design on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, your product will run on the maximum number of systems for which you have licenses. This means you get a true floating license.

Multi-Seat Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number is used for multiple seats. Multi-seat stand-alone installations do not rely upon a Network License Manager to manage product licenses; however, you can still use the Installation wizard to create administrative images and create deployments. Registration data is gathered on the Register Today pages. Registration and activation is more automated for multi-seat stand-alone installations. After the first activation using the multi-seat stand-alone serial number, activation occurs automatically for all workstations based on this deployment, as long as your systems are connected to the Internet.

Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number is used for a single seat. Like a multi-seat stand-alone installation, you do not use the Network License Manager to manage product licensing, but installation, registration, and activation occurs on each workstation.

If you choose one of the Stand-Alone installation types, you can proceed to the section How to Set Up and Distribute the Program.


How to Choose a License Server Model

How to Choose a License
How to Prepare for Deployment
How to Set Up a License Server
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose a License Server Model

If you chose the Network Installation option, you need to decide which license server model to use to distribute the product licenses.

TipIf you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model. Proceed to How to Set Up and Distribute the Program.

For the network installation, use one of the following license server models:

  • Single license server model. The Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.
  • Distributed license server model. Licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.
  • Redundant license server model. You use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.

Each of these license server models is described in detail in the Network Licensing Guide. It is strongly recommended that you read that guide before you deploy the program. You can find the Network Licensing Guide by clicking the Documentation link at the lower left corner of the Installation wizard and in the Help system.


How to Set Up a License Server

How to Choose a License Server Model
Quick Start to Network Administration
How to Install the Network License Manager
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Set Up a License Server

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation utility.

The Network License Manager helps you configure and manage license servers. The Network License Activation utility helps you get licenses and register them over the Internet.

Topics in this section

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure Your License Server


How to Install the Network License Manager

How to Set Up a License Server
How to Set Up a License Server
How to Install and Use the Network License Activation Utility
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Install the Network License Manager

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. Insert the 3ds Max or 3ds Max Design Install DVD.
    Note If Autorun does not start the Installation Wizard, navigate to your DVD-ROM. Click the Setup.exe file to open the Installation Wizard.
  2. On the main page of the Installation wizard, click Install Tools and Utilities.
  3. On the Select the Items to Install page, make sure Network License Manager is selected and click Next.
    NoteBy default all of the tools and utilities are selected that apply to your machine (32- or 64-bit). Deselect any tools you do not want to install.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  5. On the Review - Configure - Install page, click Configure.
  6. If multiple tools and utilities are selected, click the Network License Manager tab.
  7. On the Set Up Network License Manager page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or click Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  8. Click Configuration Complete.
  9. Click Install.
  10. When the Installation Complete page displays, click Finish.


How to Install and Use the Network License Activation Utility

How to Install the Network License Manager
How to Set Up a License Server
How to Configure Your License Server
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Install and Use the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by e-mail if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. Insert the 3ds Max or 3ds Max Design Install DVD.
    Note If Autorun does not start the Installation Wizard, navigate to your DVD-ROM. Click the Setup.exe file to open the Installation Wizard.
  2. In the Installation wizard, click Install Tools and Utilities.
  3. On the Select the Items to Install page, make sure Network License Activation Utility is selected and click Next.
    NoteBy default all of the tools and utilities are selected that apply to your machine (32- or 64-bit). Deselect any tools you do not want to install.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  5. On the Review - Configure - Install page, click Configure.
  6. If multiple tools and utilities are selected, click the Network License Activation Utility tab.
  7. On the Set Up Network License Activation Utility page, either accept the default installation path (C:\Program Files\Autodesk Network License Activation Utility\) or click Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. On the Server Information page, enter the product serial number.
    NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name or click the Browse button to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.
  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. Adds the new license information into the existing license file.
    • Overwrite the Existing License File. Replaces the entire contents of the existing license file with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


How to Configure Your License Server

How to Install and Use the Network License Activation Utility
How to Set Up a License Server
How to Set Up and Distribute the Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Configure Your License Server

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and choose Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.
    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.
  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Then click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  13. Close lmtools.exe.


How to Set Up and Distribute the Program

How to Configure Your License Server
Quick Start to Network Administration
How to Create a Network Share
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Set Up and Distribute the Program

Once you have prepared for deployment and you have used the Network License Manager and the Network License Activation utility, you are ready to set up and distribute this program by using the Installation wizard and choosing a deployment method.

Topics in this section

  • How to Create a Network Share
  • How to Use the Installation Wizard to Set Up a Deployment
  • How to Deploy This Program


How to Create a Network Share

How to Set Up and Distribute the Program
How to Set Up and Distribute the Program
How to Use the Installation Wizard to Set Up a Deployment
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Create a Network Share

A network share is an installation folder that you make available to users' computers on a network. You point users to this location to install the program. Create a network share that will be used by the Installation wizard during the creation of a client deployment. For full details on doing so, see Create Shared Folders for Your Deployments.


How to Use the Installation Wizard to Set Up a Deployment

How to Create a Network Share
How to Set Up and Distribute the Program
How to Deploy This Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Use the Installation Wizard to Set Up a Deployment

You can create a deployment directly from the Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 Installation wizard. From the deployment, users can install the program on their computers.

NoteThe following procedure illustrates just one of the ways you can set up a deployment. This procedure details a single-server network deployment with no customizations. For further information about setting up deployments, see Use the Installation Wizard to Set Up a Deployment.

To use the Installation wizard to create a default deployment

  1. Insert the 3ds Max or 3ds Max Design Install DVD.
    Note If Autorun does not start the Installation Wizard, navigate to your DVD-ROM. Click the Setup.exe file to open the Installation Wizard.
  2. In the Installation Wizard, click Create Deployments.
  3. On the Begin Deployment page, you need to specify the following: a deployment location, a deployment name, and determine whether you want to create a 32- or 64-bit deployment.
    • In the deployment location field, enter an existing shared network location where you want to create an administrative image, or click the Browse button to navigate to a location where there is a shared network location. Users install the program from this location.
      NoteIf you do not know how to create a network share, see How to Create a Network Share.
    • In the deployment name field, enter the new deployment's name. The name you enter here is the name of the shortcut your users will access to install the product.
    • Under This Is To Be A, choose whether your deployment is going to be installed on 32-bit or a 64-bit target operating system. This selection does not identify the system your deployment was created on; it identifies your target system.

    Click Next.

  4. On the Select the Products to Install page, choose the product you want deploy and click Next.
  5. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  6. On the Personalize the Products page, enter your user information and click Next.

    The information you enter here is permanent and is displayed in the 3ds Max or 3ds Max Design window (accessed by using Help [image] About) on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.

  7. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, run the client installation in silent mode, and if you want users to participate in the Customer Involvement program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  8. On the Review - Configure - Create Deployment page, click Create Deployment.

    By clicking Create Deployment, the wizard creates an administrative image in the shared folder using the deployment options listed in the Current Settings field.

  9. On the Deployment Complete page, click Finish.

To use the Installation wizard to create a configured deployment

  1. Insert the 3ds Max or 3ds Max Design Install DVD.
    Note If Autorun does not start the Installation Wizard, navigate to your DVD-ROM. Click the Setup.exe file to open the Installation Wizard.
  2. In the Installation Wizard, click Create Deployments.
  3. On the Begin Deployment page, you need to specify the following: a deployment location, a deployment name, and determine whether you want to create a 32- or 64-bit deployment.
    • In the deployment location field, enter an existing shared network location where you want to create an administrative image, or click the Browse button to navigate to a location where there is a shared network location. Users install the program from this location.
      NoteIf you do not know how to create a network share, see How to Create a Network Share.
    • In the deployment name field, enter the new deployment's name. The name you enter here is the name of the shortcut your users will access to install the product.
    • Under This Is To Be A, choose whether your deployment is going to be installed on 32-bit or a 64-bit target operating system. This selection does not identify the system your deployment was created on; it identifies your target system.

    Click Next.

  4. On the Select the Products to Install page, choose the product you want deploy and click Next.
  5. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  6. On the Personalize the Products page, enter your user information and click Next.

    The information you enter here is permanent and is displayed in the 3ds Max or 3ds Max Design window (accessed by using Help [image] About) on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.

  7. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, run the client installation in silent mode, and if you want users to participate in the Customer Involvement program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  8. On the Review - Configure - Create Deployment page, click Configure to make changes to the administrative image.
  9. On the Select the License Type page, select Network License and make to following settings: the license server model and the server name where the Network License Manager will run.
    • You can choose from one of three license server models, but for this example leave it set to Single License Server.
      NoteFor complete instructions on all installation and server types, see Select a License Type.
    • Enter the name of the server that will run the Network License Manager, or click the Browse button to locate the server.

    Click Next.

  10. You can specify the Product Installation Path. This path specifies the drive and location where your product will be installed.

    Click Next to proceed with the configuration process.

  11. On the mental ray Satellite tab you can change the Satellite TCP port used for mental ray rendering. See mental ray Satellites. Click Next when you are finished.
  12. On the Install Additional Files page, click Next.
  13. On the Include Service Packs page, click Next.
  14. Click Create Deployment.
  15. On the Deployment Complete page, click Finish.


How to Deploy This Program

How to Use the Installation Wizard to Set Up a Deployment
How to Set Up and Distribute the Program
System Requirements
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Deploy This Program

You can deploy the program after creating a network share. To deploy the program, users launch the shortcut that you created in the Deployment wizard, in step 3 of the procedure How to Use the Installation Wizard to Set Up a Deployment (for example: \\Server1\Autodesk\deployment\Autodesk 3ds Max 2009). The program is installed on the users' local computers, and a product icon appears on their desktop.

NoteUsers must have Read permissions to access the network share and administrative permissions on the workstation where this program is installed.


System Requirements

How to Deploy This Program
System Requirements for This Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide >
System Requirements

This section contains the system requirements for the location of the administrative image that you create and of the network license server. Refer to the Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Installation Guide for client station system requirements.

Topics in this section

  • System Requirements for This Program


System Requirements for This Program

System Requirements
System Requirements
Details on Deploying the Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > System Requirements >
System Requirements for This Program

Before you begin installing the program on a network, make sure that your servers and client workstations meet the minimum recommended hardware and software requirements for a deployment.

Whether the Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing 3ds Max or 3ds Max Design. The appropriate version of 3ds Max or 3ds Max Design will be installed. The 64-bit version of your product cannot be installed on a 32-bit version of Windows, though you can deploy the 64-bit version of 3ds Max or 3ds Max Design from a 32-bit machine.

See the following tables for administrative image, license server, and client workstation system requirements.

Hardware and software requirements for the location of the administrative image
Hardware/Software | Requirement | Notes
Hard disk | 1 GB or above (recommended) | The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and software requirements for the network license server
Hardware/Software | Requirement | Notes
Operating system | Windows Vista 32-bit Windows XP 32-bit Windows 2003 Server Edition Windows 2000 Professional Windows 2000 Server Edition | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Pentium III or later 450 Mhz (minimum) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.


Details on Deploying the Program

System Requirements for This Program
Preliminary Tasks for a Network Deployment
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide >
Details on Deploying the Program

In this section, you’ll find more detailed information about using the Installation wizard to create or modify deployments.

Topics in this section

  • Preliminary Tasks for a Network Deployment
  • Minimize Chances of Installation Failure
  • Create Shared Folders for Your Deployments
  • Install and Activate Tools and Utilities
  • Use the Installation Wizard to Set Up a Deployment
  • Point Users to the Administrative Image
  • Uninstall the Program


Preliminary Tasks for a Network Deployment

Details on Deploying the Program
Details on Deploying the Program
Minimize Chances of Installation Failure
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Preliminary Tasks for a Network Deployment

Installing this program on a network requires careful planning and execution. The deployment checklist gives you a quick summary of the type of information you should be familiar with during your deployments.

Deployment Checklist
 | You have reviewed the system requirements. You must make sure that your network, servers, and client workstations meet the system requirements. See System Requirements for This Program.
 | You have installed and activated any supporting tools and utilities. See Install and Activate Tools and Utilities.
 | You have Identified where deployments will reside such as a shared folder for each program you plan to deploy. See Create Shared Folders for Your Deployments.
 | You have closed all other programs and disabled anti-virus software. See Minimize Chances of Installation Failure.
 | You have specified whether you want to create log files which contain deployment and installation data. See Specify Log File Locations.
 | You understand the type of license you’ve purchased. If you plan a network license deployment, you should also be familiar with the type of license server model you wish to use and the license server name(s). See Select a License Type.
 | You have specified an install location if the default location is not suitable for your needs. See Select the Installation Location.
 | You have determined whether additional files will be included with your deployment, such as script files. See Install Additional Files (optional).
 | You have checked for service packs that might be available for your product. If a service pack is available, you’ve downloaded it and extracted an MSP file. See Include Service Packs (optional).
 | You have used consistent registration data and know how you’re going to personalize the program(s) during registration. See Register the Product.

When you have completed these tasks, you are ready to create a deployment from the Installation wizard.


Minimize Chances of Installation Failure

Preliminary Tasks for a Network Deployment
Details on Deploying the Program
Create Shared Folders for Your Deployments
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Minimize Chances of Installation Failure

The installation process of Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 may stop if some applications, such as Microsoft® Outlook® or virus checking programs, are running when you are creating a deployment. Close all running applications and temporarily disable virus checking utilities.


Create Shared Folders for Your Deployments

Minimize Chances of Installation Failure
Details on Deploying the Program
Install and Activate Tools and Utilities
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Create Shared Folders for Your Deployments

Shared folders are required for both network license and multi-seat stand-alone methods of installation. The shared folder (network share) is created before you run the Installation wizard and is where product deployments are stored.

It is recommended that you name the network share folder Deployments on the desktop of the system where you want deployments stored. You can then add subfolders inside the shared Deployments folder that clearly convey the name of product you plan to deploy. This is also beneficial if you plan to deploy multiple products.

Any subfolders that are placed inside a shared folder are automatically shared.

TipYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.

To create a shared folder (or network share)

  1. On a network server, create a folder named Deployments.
  2. Right-click the Deployments folder and click Share and Security (or Sharing).

    In Vista, right-click the Deployments folder and then click Share. Click the Permissions button to make sure Full Control is active.

  3. In the Properties dialog box, Sharing tab, select Share This Folder.

    In Vista, in the Properties dialog box, select Sharing and then Advanced Sharing.

  4. Specify a Share Name, such as MyDeployments, if necessary.
  5. Click the Permissions button. In the Permissions dialog box, click the Permissions button. Make sure Full Control is active. Click OK.

    This is important when creating your deployment images.

  6. Click OK to close the Properties dialog box.
  7. For each product you plan to install, create a subfolder in the Deployments folder. Name each folder with the pertinent product name.


Install and Activate Tools and Utilities

Create Shared Folders for Your Deployments
Details on Deploying the Program
Use the Installation Wizard to Set Up a Deployment
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Install and Activate Tools and Utilities

Several supporting tools and utilities are necessary if you plan to have users run the program(s) with network licenses. Ancillary programs you might install include:

  • Network License Manager
  • Network License Activation Utility
  • CAD Manager Tools
  • SAMreport Lite

You install these items from the Install Tools and Utilities section of the Installation Wizard. Refer to the Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Installation Guide for complete details.

Refer to the Network Licensing Guide for detailed information about how to set up your license servers. The Network Licensing Guide is available on the Documentation link of the Installation wizard and in the Help system.


Use the Installation Wizard to Set Up a Deployment

Install and Activate Tools and Utilities
Details on Deploying the Program
Start the Deployment Process
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Use the Installation Wizard to Set Up a Deployment

The deployment process is initiated from the Installation wizard. Deployments are created from which users can install the program on their computers. You make choices during the deployment process to create various client deployment images and deployment types that meet user requirements and company needs.

The deployment process lets you do any of the following:

  • Create a deployment.
  • Apply a patch to a deployment.
  • Add customized files to a deployment.
  • Allow users access to online resources.
NoteBecause the deployment process provides you with numerous options for creating and customizing your deployments, there are many deployment pages you need to complete and choices you must make. You should set aside ample time to complete the deployment process in one sitting.

Topics in this section

  • Start the Deployment Process
  • Create a Deployment
  • Enter Personal Information
  • Specify Log File Locations
  • Silent Mode
  • Customer Involvement Program (CIP)
  • mental ray Satellites
  • Select a License Type
  • Select a License Server Model (Network License Only)
  • Select the Installation Location
  • Install Additional Files (optional)
  • Include Service Packs (optional)
  • Final Review and Complete Setup
  • Register the Product
  • Modify a Deployment (optional)


Start the Deployment Process

Use the Installation Wizard to Set Up a Deployment
Use the Installation Wizard to Set Up a Deployment
Create a Deployment
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Start the Deployment Process

Once you have started the Installation wizard, you initiate the deployment process to set up a deployment.

To start the deployment process

  1. Insert the 3ds Max or 3ds Max Design Install DVD.
    Note If Autorun does not start the Installation Wizard, navigate to your DVD-ROM. Click the Setup.exe file to open the Installation Wizard.
  2. In the Installation Wizard, click Create Deployments.


Create a Deployment

Start the Deployment Process
Use the Installation Wizard to Set Up a Deployment
Enter Personal Information
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Create a Deployment

As you begin a deployment, you need to select the location of your Administrative image, a deployment name, and if your target systems are 32 or 64-bit operating systems.

To create a deployment

  1. In the Installation Wizard, click Create Deployments.
  2. On the Begin Deployment page, enter the location of your Administrative image or click the Browse button to locate your image. Enter your deployment’s name, and if your target systems are 32 or 64-bit operating systems.
    NoteThe deployment location should be a shared network folder. To create a shared folder, see Create Shared Folders for Your Deployments.
  3. On the Select the Products to Include in the Deployment page, select the products and click Next.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the deployment. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the deployment process, click Cancel.
  5. On the Product and User Information page, enter the serial number and requested personalization data. Click Next.
  6. On the General Deployment Settings page, choose whether or not you want to create a network log and its location, and a client log. You can also run the client’s installation in silent mode and if you want users to participate in the Customer Involvement Program. Click Next.
  7. If you do not want to make configuration changes on the Review - Configure - Install page, click Create Deployment. Then select Yes, to continue installing using the default configuration.
  8. Select the Register products online link to register and activate your product, or click Finish and register and activate later.


Enter Personal Information

Create a Deployment
Use the Installation Wizard to Set Up a Deployment
Specify Log File Locations
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Enter Personal Information

The Product and User Information page is used to personalize the program for your company. The information you enter here is permanent and is displayed in the About 3ds Max or 3ds Max Design window (accessed by using Help [image] About) on all workstations that install your deployment. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.

You must also enter your product serial number in order to run the product. The product serial number is located on the product packaging. The serial number must contain a three-digit prefix followed by an eight-digit number.

To enter your personal information and serial number

  1. On the The Product and User Information page, enter the requested personalization data.
    NoteAlthough it is required that you enter information in each box on this page, you can enter any information that you want to convey to users who install the deployment.
  2. Enter your product serial number.
  3. Click Next.


Specify Log File Locations

Enter Personal Information
Use the Installation Wizard to Set Up a Deployment
Silent Mode
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Specify Log File Locations

The program has two types of log files with which you can monitor information about deployments and installations.

  • Network log. The network log file keeps a record of all workstations that run the deployment. On the Write to Log page of the deployment process, you choose whether or not to create a network log file. The log lists the user name, workstation name, and the status of the installation. Refer to this file for status information and details about problems that users may have encountered during installation (for example, low disk space or inadequate permissions). The network log is named with the same name you chose for your deployment. You can specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network, for example \\MyComputer\Autodesk\3ds Max 2009.
    NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
  • Client log. The client log contains detailed installation information for each workstation. This information may be useful in diagnosing installation problems. The client log is located in the \Temp directory of each client workstation. The client log is named with the same name you chose for your deployment.

To specify a log file location

  1. While creating a deployment, on the Write to Log page, select the check box next to the Create Network Log box. Enter the name of the folder where you want the network log to be located.
  2. If you want to create a client log, select the Create Client Log option.
  3. Click Next.


Silent Mode

Specify Log File Locations
Use the Installation Wizard to Set Up a Deployment
Customer Involvement Program (CIP)
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Silent Mode

When silent mode is active and a user initiates the deployment, the installation proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.


Customer Involvement Program (CIP)

Silent Mode
Use the Installation Wizard to Set Up a Deployment
mental ray Satellites
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Customer Involvement Program (CIP)

If you choose to have your clients participate in the Customer Involvement Program, 3ds Max or 3ds Max Design will automatically sends Autodesk information about system configuration, what features you use most, any problems that you encounter, and other information helpful to the future direction of the product.

NoteYou can also enable or disable the Customer Involvement Program from the CAD Manager Control utility.


mental ray Satellites

Customer Involvement Program (CIP)
Use the Installation Wizard to Set Up a Deployment
Select a License Type
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
mental ray Satellites

A port is selected by default for mental ray® network rendering. If the default value does not suit your needs, you can change it to any numerical value between 1 and 65535 but you should do so with caution. Speak with your system administrator before assigning a new number. You can reset to the default value by entering 0 in the port field.


Select a License Type

mental ray Satellites
Use the Installation Wizard to Set Up a Deployment
Select a License Server Model (Network License Only)
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Select a License Type

When you set up your deployment, you need to choose the type of installation to deploy based on the type of software license you’ve purchased. You can purchase one of three types of product licenses: network, multi-seat stand-alone, and stand-alone. You choose Network License for a network license and you choose Stand-Alone License for both Multi-Seat Stand-Alone and Stand-Alone Licenses. For a complete description of the license types see How to Choose a License.


Select a License Server Model (Network License Only)

Select a License Type
Use the Installation Wizard to Set Up a Deployment
Select the Installation Location
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Select a License Server Model (Network License Only)

If you chose Network License as your license type, you also need to see the license server model. For a description of these models see How to Choose a License Server Model.

To deploy your product using a single license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Single License Server as the License Server Model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. Enter the server name of the server that will run the Network License Manager, or click the Browse button to locate the server. Click Next.

To deploy your product using a distributed license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Distributed License Server as the License Server Model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. Enter the name of one of the servers that will run the Network License Manager, or click the Browse button to locate the server. Click Add to add the server to the Server Pool. Once all the servers are added to the Server Pool list, use the Move Up and Move Down buttons to arrange the servers in the order you want them to be searched by a user's workstation. You must enter at least two servers. Click Next.

To deploy your product using a redundant license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Redundant License Server as the License Server Model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. In the First Server Name field, enter a server name of one server that will run the Network License Manager, or click the Browse button to locate the server. Enter the server names for the remaining two servers that you will use in the redundant server pool. Click Next.

    NoteIf you are not sure how to obtain the server host name, see “Plan Your License Server Configuration” in the Network Licensing Guide. The Network Licensing Guide is located in the Help system and on the Documentation link of the Installation wizard.

To deploy a multi-seat stand-alone or stand-alone license

  1. While creating a deployment, on the Select the License Type page, select Stand-Alone Installation.

  2. Click Next.


Select the Installation Location

Select a License Server Model (Network License Only)
Use the Installation Wizard to Set Up a Deployment
Install Additional Files (optional)
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Select the Installation Location

Enter the path on the client workstation where you want to install the program, for example C:\Program Files\Autodesk\3ds Max 2009, or click the Browse button to specify the install location.


Install Additional Files (optional)

Select the Installation Location
Use the Installation Wizard to Set Up a Deployment
Include Service Packs (optional)
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Install Additional Files (optional)

On the Install Additional Files page, when you click Browse, you can specify additional files to include with a deployment. By default, these files are installed in the program's installation directory on client workstations when the deployment is run. You can install files to multiple directories if desired.

You can perform the following operations:

  • Specify additional files to include with your deployment.
  • Install different types of files to different workstation directories.
  • Add subfolders under the installation folder.
  • Add files to the same location as program files.
  • Add files to the root of the installation directory.
NoteIt is recommended that you install these files to a location within the program's directory structure. You cannot install files with the same file name as an installed program file.

To install additional files

  1. While creating a deployment, on the Install Additional Files page, set the location where file will get installed.

  2. Do any of the following:
    • Click Browse to open the Add Files dialog box, where you can select files to add to the installation directory.
    • Click Add Folder to create a new folder in the installation directory.
    • Click Add Drive to add a drive name to the file location structure. The drive name must be a valid drive letter and colon, for example C: or F:. Uniform Naming Convention (UNC) paths are not supported.
    • Click Remove to delete a file, folder, or drive from the installation directory.
  3. Click Next.


Include Service Packs (optional)

Install Additional Files (optional)
Use the Installation Wizard to Set Up a Deployment
Final Review and Complete Setup
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Include Service Packs (optional)

During the deployment process, you can choose to include service packs that have been posted for your product. The installer automatically checks autodesk.com for available updates. If updates are available, a link is displayed (Updates are available). If no updates are available, the link is not displayed.

When you include a service pack, you can also specify how it will be handled. You can choose from the following;

  • Append the Service Packs onto the Deployment. When you append a service pack, the service pack is applied to the current deployment only. Multiple service packs may be appended to a deployment. The service pack file is included in the deployment and the service pack is applied after the product is deployed.
  • Merge the Service Pack into the Administrative Image MSI file. When you merge a service pack, the service pack is merged into the administrative image. Once merged, a service pack may not be removed from the admin image. Multiple service packs may be included in a single admin image.

To include a service pack with the deployment

To include a service pack with a deployment, an MSP file must be extracted from the downloaded service pack executable.

  1. On the Include Service Packs page, click the Browse button.
  2. In the Open dialog box, locate the service pack you want to include with the deployment.
  3. Select the MSP file and click Open.
  4. Specify whether you want to append the service pack on to the deployment or merge the service pack into the administrative image.
  5. Click Next.


Final Review and Complete Setup

Include Service Packs (optional)
Use the Installation Wizard to Set Up a Deployment
Register the Product
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Final Review and Complete Setup

To complete your deployment setup, confirm the settings you selected.

To confirm and complete the setup of a network deployment

  1. After making all your deployment settings, on the Review - Configure - Create Deployments page, scroll the list of current settings and verify your installation selections.

  2. If you want to change any selections you made for the deployment, click the Configure button.
  3. If you want a hardcopy of the installation information displayed on this page, click the Print button.
  4. If you are ready to complete the deployment, click Create Deployment.
  5. On the Deployment Complete page, click Finish.

To confirm and complete the setup of a multi-seat stand-alone deployment

  1. After making all your deployment settings, on the Review - Configure - Create Deployments page, scroll the list of current settings and verify your installation selections.

  2. If you want to change any selections you made for the deployment, click the Configure button.
  3. If you want a hardcopy of the installation information displayed on this page, click the Print button.
  4. If you are ready to complete the deployment, click Create Deployment.
  5. On the Deployment Complete page, click Register Products Online.

    Registration at this stage ensures that consistent data is being used to streamline product activation. When a user installs from this deployment and runs the product, registration data is automatically referenced and the product gets activated. See Register the Product.

  6. Click Finish.

You have created an Autodesk product deployment with precise options that are specific to your group of users. You can now inform those using this deployment where the administrative image is located so that they can install the program.


Register the Product

Final Review and Complete Setup
Use the Installation Wizard to Set Up a Deployment
Modify a Deployment (optional)
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Register the Product

It is very important that the registration data (for example, your company name and contact information) you supply when registering and activating your products is consistent across all Autodesk products that you install. If you enter this data incorrectly or inconsistently, you can run into activation problems.

The way products are registered depends upon the type of license you selected while creating the deployment. In order to receive an activation code, your product must be registered.

To register a network licensed deployment

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. Follow the on-screen instructions to complete the registration and activation.

To register a multi-seat stand-alone licensed deployment

  1. On the Deployment Complete page, click Register Products Online.

    The Register Today page is displayed. You complete Register Today at this point so that all users have the same default registration information.

  2. In the Register Today wizard, follow the on-screen instructions to complete the registration.
NoteThis process only registers the product. If users are connected to the Internet, activation will occur automatically when the product is started.


Modify a Deployment (optional)

Register the Product
Use the Installation Wizard to Set Up a Deployment
Point Users to the Administrative Image
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program > Use the Installation Wizard to Set Up a Deployment >
Modify a Deployment (optional)

After a deployment is created, it may be necessary to modify the deployment for some client workstations. You can apply a patch or select various custom files that are not part of the base administrative image. You can also perform modifications such as changing the installation directory from drive C to drive D.

To modify a deployment

  1. Open the shared network folder where you originally chose to place your product deployment.
  2. In the Tools folder, double-click the Create & Modify a Deployment shortcut.

    This re-opens the Installation wizard.

  3. Click through the deployment pages and make the necessary changes.
  4. After all the modifications have been made, click Create Deployment.


Point Users to the Administrative Image

Modify a Deployment (optional)
Details on Deploying the Program
Uninstall the Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Point Users to the Administrative Image

When you have completed the deployment process, you are ready to have users install the newly created or modified deployment. You need to notify your users of the shortcut that was created in the administrative image. The shortcut is the same name that you chose in Create a Deployment.

To point users to the administrative image

  • The simplest method of notifying users how to install the deployment is to e-mail them with instructions about using the shortcut. At a minimum, the instructions need to include the location of the deployment and instructions about double-clicking the shortcut to the deployment.


Uninstall the Program

Point Users to the Administrative Image
Details on Deploying the Program
Glossary
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide > Details on Deploying the Program >
Uninstall the Program

When you uninstall your product, most components are removed in the process. Refer to the Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 Readme for further information about removing these files.

NoteIf you plan to modify an administrative image at a later date (for example, by adding a patch to it), do not remove that image.

To uninstall the program (Windows Except Vista)

  1. In the Windows Control Panel, click Add or Remove Programs.
  2. In the Add/Remove Programs window, select Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009, and then click Change/Remove.

  3. When the Installation wizard opens, choose Uninstall Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009.
  4. On the Uninstall Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009 page, click Next to remove your product from the system.
  5. When informed that the product has been successfully uninstalled, click Finish.

To uninstall program (Windows Vista Classic View)

  1. Select Start menu > Control Panel > Program and Features
  2. In the Uninstall or Change Program window, select Autodesk 3ds Max 2009 or Autodesk 3ds Max Design 2009.

    You can also select other components of 3ds Max or 3ds Max Design using the same procedure, such as the Additional Maps and Materials. Select the corresponding item from the list.

    The Installation Wizard re-opens in Maintenance Mode.

  3. Click Uninstall.
  4. Follow the prompts.
  5. Click Finish.
NoteAutodesk programs that you use with the program (such as Autodesk Backburner) are not removed automatically when you uninstall your product. You must uninstall them separately using Add or Remove Programs.


Glossary

Uninstall the Program
Autodesk 3ds Max 2009 and Autodesk 3ds Max Design 2009 Network Administrator's Guide >
Glossary
activate

Part of the Autodesk software registration process, it allows you to run a product in compliance with the product's end-user license agreement.

administrative image

A collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations. Service packs (patches) can be applied to an administrative image using the Deployment wizard.

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the Deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

FLEXlm

License management technology from Macrovision Software, Inc. FLEXlm provides administrative tools that help to simplify management of network licenses. FLEXlm can be used to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

MSI

Microsoft installer that supports a variety of parameters that can be scripted.

MSP

Microsoft patch file (see patch).

MST

Microsoft transform file. Modifies the components installed by the MSI file. For example, the Deployment wizard creates an MST file with the settings that you specify. The deployment created by the Deployment wizard uses the MST file in conjunction with the MSI file and MSIEXEC to install the program on local workstations.

multi-seat stand-alone installation

A type of installation where multiple stand-alone seats of the program are installed using a single serial number.

patch

A software update to an application.

service pack

Autodesk terminology for an application patch.

transform

See MST.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!